Disconnected boinc manager in fedora 17

Message boards : Questions and problems : Disconnected boinc manager in fedora 17
Message board moderation

To post messages, you must log in.

AuthorMessage
hakova

Send message
Joined: 1 Jan 08
Posts: 18
United States
Message 44424 - Posted: 8 Jun 2012, 0:42:23 UTC

Hi,

I just upgraded from fedora 16 to 17. Although boinc client is still functional, boinc manager cannot connect to the localhost anymore, which I believe at least partly because a system script not being included in the rpm package. Accordingly:
[root@semazen hako]# systemctl enable boinc-client.service
Failed to issue method call: No such file or directory

I am not sure if there may be other problems in the package. The latest boinc version included in fedora 17 is 6.12.43-1.r25218svn.fc17.

Thanks in advance for any input.
ID: 44424 · Report as offensive
hakova

Send message
Joined: 1 Jan 08
Posts: 18
United States
Message 44444 - Posted: 10 Jun 2012, 16:32:46 UTC - in response to Message 44424.  

I found the missing system script from a back up and copied it under /etc/init.d with the name "boinc-client" and everything is back to normal now.

#!/bin/bash
#
# BOINC - start and stop the BOINC client daemon on Unix
#
#  SysVInit start/stop script to run the BOINC client as a daemon at
#  system startup, as the $BOINCUSER (not root!).
#
#  This version has been modified for Fedora/RHEL.
#
###
# chkconfig: - 98 02
# description: This script starts the local BOINC client as a daemon
#         For more information about BOINC (the Berkeley Open Infrastructure
#         for Network Computing) see http://boinc.berkeley.edu
# processname: boinc-client
# config: /etc/sysconfig/boinc-client
#
### BEGIN INIT INFO
# Provides: boinc
# Required-Start: $network
# Required-Stop:  $network
# Default-Start: 
# Default-Stop: 0 1 2 6
# Short-Description: This script monitors the BOINC client.
# Description: This script starts the local BOINC client as a daemon
#         For more information about BOINC (the Berkeley Open Infrastructure
#         for Network Computing) see http://boinc.berkeley.edu
### END INIT INFO
#
# Based on the init script provided by:
# Eric Myers <myers@vassar.edu>  - 27 July 2004
# Department of Physics and Astronomy, Vassar College, Poughkeepsie NY
# Eric Myers <myers@spy-hill.net> 
# Spy Hill Research, Poughkeepsie, New York
#
# Rewritten by Milos Jakubicek <xjakub@fi.muni.cz> - 10 March 2009
# Faculty of Informatics, Masaryk University Brno, Czech Republic
########################################################################

# Defaults, which can be overridden by putting new NAME=value lines 
# in /etc/sysconfig/boinc-client

# Name of user to run as:

BOINCUSER=boinc

# Working directory.

BOINCDIR="/var/lib/boinc"

# Name of the client executable.

BOINCEXE="/usr/bin/boinc_client"
BOINCCMD="/usr/bin/boinccmd"

# Cgroup to be used: this is necessary to ensure low scheduling priority for Boinc

CGROUP_DAEMON="cpu:/background"

# Log and error files (should be placed in /var/log/ to avoid SELinux related issues)

LOGFILE="/var/log/boinc.log"
ERRORLOG="/var/log/boincerr.log"

# BOINC options: for the command line when running the client.  

BOINCOPTS=

# Service name

prog=boinc-client

# Subsys lock file

LOCKFILE="/var/lock/subsys/$prog"

# Init script function library.

. /etc/rc.d/init.d/functions

# Look for any local configuration settings which override all above

[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog

# Verify the $BOINCDIR working directory exists

if [ ! -d $BOINCDIR ]; then
	echo -n "Cannot find BOINC directory $BOINCDIR"
	echo_failure
	echo 
	exit 7
fi

# Verify the $BOINCEXE executable exists

if [ ! -x $BOINCEXE ]; then
	echo -n "Cannot find an executable for the BOINC client."
	echo_failure
	echo 
	exit 2
fi

# Create cgroup and set minimum CPU priority

cgcreate -g $CGROUP_DAEMON
cgset -r cpu.shares=2 `echo $CGROUP_DAEMON | cut -f2 -d:`

# Warn if there are no projects attached

cd $BOINCDIR
if [ ! -d projects ] ; then
	echo -n "BOINC client requires initialization (no projects attached)."
	echo_warning
	echo 
fi

check_status() {
	status $BOINCEXE >& /dev/null
}

start() {
	check_status && exit 0
	echo -n $"Starting $prog: "
	
	# Check that we're a privileged user
	if [ `id -u` != 0 ] ; then
		echo -n "Insufficient rights."
		failure
		echo
		exit 4
	fi

	# Check that log files exist, otherwise create them with proper ownership
	if [ ! -e $LOGFILE ]; then
		touch $LOGFILE && chown $BOINCUSER:$BOINCUSER $LOGFILE
	fi
	if [ ! -e $ERRORLOG ]; then
		touch $ERRORLOG && chown $BOINCUSER:$BOINCUSER $ERRORLOG
	fi

	daemon --check $BOINCEXE --user $BOINCUSER +10 "$BOINCEXE $BOINCOPTS --dir $BOINCDIR >>$LOGFILE 2>>$ERRORLOG &" >& /dev/null
	
	# Check that boinc is running, give it a few tries
	TRY=0
	while [ $TRY -lt 10 ] ; do
		check_status && { touch $LOCKFILE; success; echo; return; } || sleep 1
		let TRY+=1
        done;
	check_status && { touch $LOCKFILE; success; } || failure
	echo
}

stop() {
	cd $BOINCDIR
	check_status || exit 0
	echo -n $"Stopping $prog: "
	killproc -d 10 $BOINCEXE
	rm -f $LOCKFILE
	echo 
}

reload() {
	check_status || { start; exit; }
	action "Reading configuration: " $BOINCCMD --read_cc_config | sed -e "s/retval.*//" -e "N;s/\n//;"
}

restart() {
	stop
	start
}

case "$1" in
  start) 
	$1 
	;;
  stop)
	$1
	;;
  reload)
	$1
	;;
  restart)
	$1
	;;
  force-reload)
  	reload
	restart
  	;;
  condrestart|try-restart)
  	check_status || exit 0
	restart
  	;;
  status)
	status $BOINCEXE
	;;
  *)
        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
        exit 2
esac

exit $?
ID: 44444 · Report as offensive
Robert L. Kief

Send message
Joined: 20 Jun 12
Posts: 3
United States
Message 44571 - Posted: 20 Jun 2012, 19:04:56 UTC - in response to Message 44444.  

I've got the same problem and it isn't resolved by copying the script into the etc/init.d folder. In my case, it appears that all that is needed is to find the BIONC password in the "Select Computer" window (unless client isn't running). The file "gui_rpc_auth.cfg" wasn't located in the /var/lib/boinc/ folder. I put a text file there, with a password, tried "Select Computer" again, but no joy.

Also, when I run "ps aux | grep boinc" in terminal, I see:

/bin/bash /usr/bin/boincmgr
boinc_gui
grep --color=auto boinc

but no boinc_client. If I run:

/sbin/service boinc-client start

To start the client manually, I get:

env: /etc/init.d/boinc-client: Permission denied

both as user and superuser.

Please help.

RLK
ID: 44571 · Report as offensive
Profile KSMarksPsych
Avatar

Send message
Joined: 30 Oct 05
Posts: 1239
United States
Message 44572 - Posted: 20 Jun 2012, 21:55:42 UTC

Can you try to uninstall and reinstall BOINC through yum.

I'll admit I'm grasping at straws because I've never installed from repos.
Kathryn :o)
ID: 44572 · Report as offensive
Robert L. Kief

Send message
Joined: 20 Jun 12
Posts: 3
United States
Message 44624 - Posted: 25 Jun 2012, 16:54:45 UTC - in response to Message 44572.  

Afternoon, Kathryn.

First a mea culpa, I didn't realize that there was an updated installation procedure for Fedora 17 and had been using the Fedora 16 instructions. However, even using the correct instructions I still have issues.

I followed your suggestion and removed BOINC (using yumex) and restarted my computer. I then installed BOINC using the yum commands in the instructions.

The first problem I noted was that the script installed by BOINC at "/usr/lib/systemd/system/boinc-client.service" is actually named "boinc-client". I had to rename it "boinc-client.service".

Wanting BOINC to autostart at boot time, I entered "systemctl enable boinc-client.service" and then restarted my computer. After the restart, I entered "pgrep -l boinc", but had no response to the command, just another prompt. When I entered "systemctl start boinc-client.service" and then tried "pgrep -l boinc", I got "2003 boinc_client". In other words, I can manually start BOINC, but not autostart it.

"/var/lib/boinc/" now contained several files including "gui_rpc_auth.cfg". I was able to copy the password in "gui_rpc_auth.cfg" and, following the instructions, attempted to "Select Computer". With "localhost" and the copied password, I remained disconnected from the client. I was only able to get access by disabling the password using "echo > /var/lib/boinc/gui_rpc_auth.cfg". I now have BOINC running my projects.

I should mention that I did not have to copy the above boinc-client script and install it into ā€œ/etc/init.dā€.

The problem I'm left with is the failure of the autostart command string to work. The lack of a password isn't a problem as this is a home computer and I'm the only user.

I have one other bug to bring to your attention. When I start BOINC Manager, the Menu Bar contains only the letters "Fi" of "File" and nothing else. "Fi" does drop down the correct two commands, but the rest of the bar is blank and no drop down menus appear. I can regain the complete list of Menu Bar drop down menus by resizing the BOINC window.

I hope you can help me to get autostart to function properly.

Thank you,
Robert L. Kief
ID: 44624 · Report as offensive
Profile KSMarksPsych
Avatar

Send message
Joined: 30 Oct 05
Posts: 1239
United States
Message 44690 - Posted: 2 Jul 2012, 1:59:40 UTC

I don't have a Fedora VM or machine handy to test on. Can you post to the Fedora forums as it really isn't a BOINC issue, but rather with the Fedora package.

Sorry I can't be of more help.
Kathryn :o)
ID: 44690 · Report as offensive
Robin Baril

Send message
Joined: 2 Jul 12
Posts: 1
Canada
Message 44696 - Posted: 2 Jul 2012, 14:31:22 UTC - in response to Message 44572.  

I also have have a disconnect issue with Fedora 17. This was working in Fedora 16 on version supplied with the distro so I downloaded the latest 7.0.28 and now I'm getting:
[root@Fedora BOINC]# ./run_manager
./boincmgr: Symbol `_ZTV12wxBufferedDC' has different size in shared object, consider re-linking
./boincmgr: Symbol `_ZTV10wxClientDC' has different size in shared object, consider re-linking
./boincmgr: Symbol `_ZTV10wxMemoryDC' has different size in shared object, consider re-linking
./boincmgr: Symbol `_ZTV9wxPaintDC' has different size in shared object, consider re-linking
Fatal Error: Mismatch between the program and library build versions detected.
The library used 2.8 (no debug,Unicode,compiler with C++ ABI 1002,wx containers,compatible with 2.4,compatible with 2.6),
and your program used 2.8 (no debug,Unicode,compiler with C++ ABI 1002,wx containers,compatible with 2.6).
Aborted (core dumped)
Thanks in advance for any help you can give.

Robin
ID: 44696 · Report as offensive
Robert L. Kief

Send message
Joined: 20 Jun 12
Posts: 3
United States
Message 44873 - Posted: 13 Jul 2012, 18:32:30 UTC - in response to Message 44690.  

Kathryn,

The autostart bug has been mostly resolved by boinc-client-7.0.29-1.r25790svn.fc17. It became available within the last 24 hours. This update was in response to Fedora Bug 827912 and also resolved Fedora Bug 731669.

The issue remaining for me is a "Could not connect to client" error window whenever Manager is started. Closing the error window allows Manager to connect to client. Client is, however, running until Manager is started. Very strange.

Thanks,

RLK
ID: 44873 · Report as offensive

Message boards : Questions and problems : Disconnected boinc manager in fedora 17

Copyright © 2024 University of California. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation.